

def createDomainskeystore(domain, owner = false) {
    return createResource('domainskeystores', domain, owner)
}

def deleteDomainskeystore(id) {
    return deleteResource('domainskeystores', id)
}

def getDomainskeystore(id) {
    def rv = getResource('domainskeystores', [id: id], ['id', 'domainid', 'keystoreid'])
    return rv
}

def getDomainskeystores(filters, owner = false) {
    def _filters = filters.clone()
    return getResources( 'domainskeystores', _filters, false, ['id', 'domainid', 'keystoreid'])
}

def updateDomainskeystore(domain) {
    return updateResource('domainskeystores', domain, ['id', 'domainid', 'keystoreid'])
}
