/*
Licensed Materials - Property of IBM
IBM WebSphere CloudBurst Appliance (9235-72X)
Copyright IBM Corporation 2009. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure
restricted by GSA ADP Schedule Contract with IBM Corp.
*/

package groovy.rainmaker.appliance;

import com.ibm.bedrock.appliance.ApplianceUtils;

def ping(host)
{
    try {
        // Bad Bedrock API.  If this throws an exception
        // then ping failed.  If it doesn't, then it 
        // is successful.
        ApplianceUtils.pingHost(host);
    } catch (IllegalArgumentException e) {
        return false;
    }

    return true; 
}
