/*
Licensed Materials - Property of IBM
IBM WebSphere CloudBurst Appliance (9235-72X)
Copyright IBM Corporation 2009. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure
restricted by GSA ADP Schedule Contract with IBM Corp.
*/

package groovy.rainmaker.core;

import com.ibm.websphere.rainmaker.logging.MessageUtils;


if (zget(config.rainmaker.defaultPersistentZone[] + "/rainmaker/mail/smtp")){
    config.connection.defaults.smtp.hostname = zget(config.rainmaker.defaultPersistentZone[] + "/rainmaker/mail/smtp");
}

if (config.connection.defaults.smtp.hostname[]){
    logger.INFO { MessageUtils.message('RM15006', [config.connection.defaults.smtp.hostname[]]) };
}
else{
    logger.WARNING { MessageUtils.message('RM15005', []) };
}
