import com.ibm.websphere.rest.RESTUtils;
import com.ibm.websphere.rest.RenderUtils;


def onList() {
    def name = request.params.name[]?.replace("*", "")

    RESTUtils.handleOnList([name: name]);
}

def onRetrieve() {
	 def id = request.params.domainsId[].toInteger();

	 RESTUtils.handleOnRetrieve(id);
}


def onCreate() {
    RESTUtils.handleOnCreate();
}

def onUpdate() {
    RESTUtils.handleOnUpdate(request.params.domainsId[].toInteger());
}

def onDelete() {
    def id = request.params.domainsId[].toInteger()
    
    
    RESTUtils.handleOnDelete(id) { deleted ->
        invalidateSession(deleted);
    }
}
