/*
Licensed Materials - Property of IBM
IBM WebSphere CloudBurst Appliance (9235-72X)
Copyright IBM Corporation 2009. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure
restricted by GSA ADP Schedule Contract with IBM Corp.
*/

package groovy.rainmaker.users;
import com.ibm.websphere.rainmaker.logging.MessageUtils;

if(!config.security.userservice.ldap[])
	config.security.userservice.ldap = [:];

if(!zget(config.rainmaker.defaultPersistentZone[] + "/rainmaker/security/enabled")){
	zput(config.rainmaker.defaultPersistentZone[] + "/rainmaker/security/enabled", false);
}

if (zget(config.rainmaker.defaultPersistentZone[] + "/rainmaker/security/ldap"))
{
	def ldapConfig = zget(config.rainmaker.defaultPersistentZone[] + "/rainmaker/security/ldap", [:]);
    config.security.userservice.ldap = config.security.userservice.ldap[] + ldapConfig;
    logger.INFO { MessageUtils.message('RM02022', []) };
}

else
    logger.INFO { MessageUtils.message('RM02023', []) };
